CVC4::options::smartTriggers__option_t Struct Reference

`#include <options.h>`

## Public Types

typedef bool | type

## Public Member Functions

type | operator() () const
bool | wasSetByUser () const

## Detailed Description

Definition at line 194 of file options.h.

## Member Typedef Documentation

## type

typedef bool CVC4::options::smartTriggers__option_t::type

Definition at line 194 of file options.h.

## Member Function Documentation

## operator()()

smartTriggers__option_t::type CVC4::options::smartTriggers__option_t::operator() | ( |  | ) | const

inline

Definition at line 622 of file options.h.

References CVC4::Options::current().

## wasSetByUser()

bool CVC4::options::smartTriggers__option_t::wasSetByUser | ( |  | ) | const

inline

Definition at line 624 of file options.h.

References CVC4::Options::current(), and CVC4::Options::wasSetByUser().

The documentation for this struct was generated from the following file:

- src/theory/quantifiers/options.h